Bug 1128480 - Review Request: pipsi - Wraps pip and virtualenv to install scripts
Summary: Review Request: pipsi - Wraps pip and virtualenv to install scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 18:55 UTC by Matej Stuchlik
Modified: 2016-04-18 17:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-18 17:26:12 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Matej Stuchlik 2014-08-10 18:55:26 UTC
Spec URL: python-pipsi.spec 
SRPM URL: python-pipsi-0.4-1.fc20.src.rpm
Description: Pipsi is a wrapper around virtualenv and pip which installs scripts provided by python packages into separate virtualenvs to shield them from your system and each other.
Fedora Account System Username: mstuchli

Comment 2 Robert Kuska 2015-01-06 10:15:06 UTC
I'll take this.

Comment 3 Robert Kuska 2015-01-07 11:06:09 UTC
1. 
You have:

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Wraps pip and virtualenv to install scripts
Requires:       python-click
Requires:       python-setuptools
Requires:       python-virtualenv

Should be:

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        Wraps pip and virtualenv to install scripts
Requires:       python3-click
Requires:       python3-setuptools
Requires:       python3-virtualenv

2. 
I can't see python3 pipsi bin file

> $ rpm -qpl python3-pipsi-0.4-1.fc22.noarch.rpm                                                                                                                                                                                                                               
/usr/lib/python3.4/site-packages/__pycache__/pipsi.cpython-34.pyc
/usr/lib/python3.4/site-packages/__pycache__/pipsi.cpython-34.pyo
/usr/lib/python3.4/site-packages/pipsi-0.4-py3.4.egg-info
/usr/lib/python3.4/site-packages/pipsi-0.4-py3.4.egg-info/PKG-INFO
/usr/lib/python3.4/site-packages/pipsi-0.4-py3.4.egg-info/SOURCES.txt
/usr/lib/python3.4/site-packages/pipsi-0.4-py3.4.egg-info/dependency_links.txt
/usr/lib/python3.4/site-packages/pipsi-0.4-py3.4.egg-info/entry_points.txt
/usr/lib/python3.4/site-packages/pipsi-0.4-py3.4.egg-info/requires.txt
/usr/lib/python3.4/site-packages/pipsi-0.4-py3.4.egg-info/top_level.txt
/usr/lib/python3.4/site-packages/pipsi.py
/usr/share/doc/python3-pipsi
/usr/share/doc/python3-pipsi/LICENSE

3.
Source file lacks the original timestamps.

Comment 4 Matej Stuchlik 2015-01-07 12:09:44 UTC
Since this will mainly be used for the binary, not as a python module, I've decided to rename it to just "pipsi" and removed the python3 subpackage. I've also addressed the timestamp issue and updated the package to the newest upstream release.

Spec URL: https://mstuchli.fedorapeople.org/pipsi.spec
SRPM URL: https://mstuchli.fedorapeople.org/pipsi-0.8-1.fc20.src.rpm

Comment 5 Robert Kuska 2015-01-09 10:30:49 UTC
Just a note for others, pipsi allows to specify python interpreter as --python python3 when user wants python3 virtualenv so I am fine with pipsi being only python2 package.


Looks good, APPROVED.

Comment 6 Matej Stuchlik 2015-01-09 10:31:34 UTC
New Package SCM Request
=======================
Package Name: pipsi
Short Description: Wraps pip and virtualenv to install scripts
Upstream URL: http://github.com/mitsuhiko/pipsi/
Owners: mstuchli
Branches: f21
InitialCC:

Comment 7 Gwyn Ciesla 2015-01-09 13:10:00 UTC
Git done (by process-git-requests).

Comment 8 Robert Kuska 2015-03-23 15:55:48 UTC
f21 needs bodhi update

Comment 10 Petr Viktorin 2016-04-06 10:58:38 UTC
It seems Matej and Robert have other priorities than Fedora now.

Harris, are you interested in this package?

Comment 11 Charalampos Stratakis 2016-04-07 08:34:57 UTC
Yes I will build it

Comment 12 Miro Hrončok 2016-04-10 18:48:36 UTC
This was actually already approved.

Comment 13 Charalampos Stratakis 2016-04-13 13:55:55 UTC
SPEC: https://cstratak.fedorapeople.org/pipsi.spec

SRPM: https://cstratak.fedorapeople.org/pipsi-0.9-1.fc23.src.rpm

Updated SPEC and SRPM.

Comment 14 Petr Viktorin 2016-04-13 14:15:30 UTC
I still think the py3-virtualenv change would be better done (more readable) with a patch than with sed, but it's OK as it is.

This part:
    mkdir -p %{getenv:HOME}/.local/venvs
    mkdir -p %{getenv:HOME}/.local/bin
can create directories outside %{_buildroot}, which is against packaging guidelines [0]. Plus I'm confused about how exactly these commands are solving the problem.


[0] https://fedoraproject.org/wiki/Packaging:Guidelines#Scriplets_are_only_allowed_to_write_in_certain_directories

Comment 16 Miro Hrončok 2016-04-13 14:51:54 UTC
# Required for tests
BuildRequires:	openssl-devel
BuildRequires:	libacl-devel


How exactly are devel packages required for tests?

Comment 17 Miro Hrončok 2016-04-13 14:59:40 UTC
OK, the tests install local package with pip (to test the installation) and that package needs them.

Comment 18 Fedora Update System 2016-04-13 16:26:58 UTC
pipsi-0.9-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9a665cdd9

Comment 19 Fedora Update System 2016-04-15 08:38:22 UTC
pipsi-0.9-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a9a665cdd9

Comment 20 Fedora Update System 2016-04-18 17:26:10 UTC
pipsi-0.9-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.